export declare type themeType<T> = {
    [key in keyof T]?: T[key];
};
export declare const mergeTheme: (theme: themeType<{
    nodeWidth: number;
    nodeHeight: number;
    nodeHighlightBorder: string;
    halfNodeWidth: number;
    halfNodeHeight: number;
    nodeBorderRadio: number[];
    primaryColor: string;
    primaryColumnColor: string;
    primaryBorder: string;
    primaryBg: string;
    primaryBorderRadio: number[];
    secondaryColor: string;
    secondaryColumnColor: string;
    secondaryBg: string;
    secondaryBorder: string;
    secondaryBorderRadio: number[];
    disableColor: string;
    disableColumnColor: string;
    disableBg: string;
    disableBorder: string;
    disableBorderRadio: number[];
    activeColor: string;
    activeColumnColor: string;
    activeBg: string;
    activeBorder: string;
    activeBorderRadio: number[];
    searchBg: string;
    searchColor: string;
    groupBorder: string;
    groupBg: string;
    groupColor: string;
    edgeColor: string;
    edgeWidth: number;
    disableedgeColor: string;
    activeNodeColor: string;
    fontFamily: string;
    hoverBg: string;
    nodeDot: {
        hive: string;
        clickhouse: string;
        topic: string;
        abase: string;
        byte: string;
        hdfs: string;
        mysql: string;
        redis: string;
        tableau: string;
        druid: string;
        es: string;
        abtest: string;
        unknown: string;
        hiveColumn: string;
        hivePartition: string;
        abaseField: string;
        redisField: string;
        esField: string;
        Metric: string;
        TaskStdout: string;
        TaskStdoutField: string;
        LogHouseEndpoint: string;
        LogHouseField: string;
        ByteTable: string;
        ByteTableColumn: string;
        RPCEndpoint: string;
        RPCField: string;
        ByteSQLTable: string;
        ByteSQLColumn: string;
        DorisTable: string;
        DorisColumn: string;
        FaasEndpoint: string;
        FaasField: string;
        BmqField: string;
        RocketmqTopic: string;
        RocketmqField: string;
        ClickhouseColumn: string;
        风神数据集: string;
        风神仪表盘: string;
        AeolusDataset: string;
        AeolusDashboard: string;
        Nuwa: string;
    };
}>) => void;
export declare const getTheme: (key?: string | undefined) => any;
