import Konva from 'konva';
import { Node as DNode } from 'dagre';
export declare type Node = {
    id: string;
    label: string;
    [key: string]: any;
    style?: any;
    columns?: any[];
};
export declare type Edge = {
    start: string;
    end: string;
    style?: any;
    [key: string]: any;
};
export declare type GroupBy = {
    key: string;
    label: string;
};
export declare type onNodeClick = (evt: Konva.KonvaEventObject<MouseEvent>, node: DNode<Node>, column?: Node) => void;
export declare type NodeAttr = (node: DNode<Node>) => {
    highLight?: boolean;
};
export declare type onNodeContextMenu = (evt: Konva.KonvaEventObject<PointerEvent>, node: DNode<Node>, pos?: {
    x: number;
    y: number;
}, stage?: Konva.Stage) => void;
export declare type onNodeHover = (node: DNode<Node>, pos?: {
    x: number;
    y: number;
}, stage?: Konva.Stage, col?: DNode<Node>, index?: number) => void;
export declare type onNodeOutHover = (node: DNode<Node>) => void;
export declare type Point = {
    x: number;
    y: number;
};
export declare type ActiveNode = {
    id: string;
    columnId?: string;
};
